<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\poet;
use App\Models\systemAdministration\category;
use App\Models\systemAdministration\subCategory;


class Poetries extends Model
{
    use HasFactory;

    public function poet(){
        return $this->belongsTo(poet::class,'poet_id','id');
    }

    public function category(){
        return $this->belongsTo(category::class,'cat_id','id');
    }

    public function sub_category(){
        return $this->belongsTo(subCategory::class,'scat_id','id');
    }
}
